public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/0xtools/
Date: Wed, 17 Jul 2024 15:46:34 +0000 (UTC)	[thread overview]
Message-ID: <1721231191.a1053b22affd8dcb41a7e59ef6147c4ab6a28e6d.xgqt@gentoo> (raw)

commit:     a1053b22affd8dcb41a7e59ef6147c4ab6a28e6d
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 17 14:50:48 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Jul 17 15:46:31 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1053b22

dev-util/0xtools: bump to 2.0.2

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-util/0xtools/0xtools-2.0.2.ebuild | 70 +++++++++++++++++++++++++++++++++++
 dev-util/0xtools/Manifest             |  1 +
 2 files changed, 71 insertions(+)

diff --git a/dev-util/0xtools/0xtools-2.0.2.ebuild b/dev-util/0xtools/0xtools-2.0.2.ebuild
new file mode 100644
index 000000000000..d73227e1d32b
--- /dev/null
+++ b/dev-util/0xtools/0xtools-2.0.2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..12} )
+
+inherit python-single-r1 systemd toolchain-funcs
+
+DESCRIPTION="Always-on profiling for production systems"
+HOMEPAGE="https://0x.tools/
+	https://github.com/tanelpoder/0xtools/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+
+	EGIT_REPO_URI="https://github.com/tanelpoder/${PN}.git"
+else
+	SRC_URI="https://github.com/tanelpoder/${PN}/archive/v${PV}.tar.gz
+		-> ${P}.tar.gz"
+
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2+"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+	${PYTHON_DEPS}
+"
+BDEPEND="
+	${RDEPEND}
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_compile() {
+	emake CC="$(tc-getCC)" CFLAGS="${CFLAGS} ${LDFLAGS}"
+
+	sed -e "/^sys.path.append/s|(.*)|('$(python_get_sitedir)/${PN}')|"	\
+		-i bin/psn -i bin/schedlat || die
+}
+
+src_install() {
+	# C executables and scripts
+	exeinto /usr/bin
+	doexe bin/{cpumhz,cpumhzturbo,vmtop,xcapture,xtop}
+	doexe bin/{run_xcapture.sh,run_xcpu.sh}
+
+	# Python executables
+	python_domodule "lib/${PN}"
+	python_doscript bin/psn
+	python_doscript bin/schedlat
+	python_doscript bin/syscallargs
+
+	# Service
+	systemd_dounit xcapture.service
+	systemd_dounit xcapture-restart.service
+	systemd_dounit xcapture-restart.timer
+
+	# Service config
+	insinto /etc/default
+	newins xcapture.default xcapture
+
+	# Service logs
+	keepdir /var/log/xcapture
+
+	einstalldocs
+}

diff --git a/dev-util/0xtools/Manifest b/dev-util/0xtools/Manifest
index 190a0c5615ce..8205eb80d533 100644
--- a/dev-util/0xtools/Manifest
+++ b/dev-util/0xtools/Manifest
@@ -1 +1,2 @@
 DIST 0xtools-1.2.4.tar.gz 61830 BLAKE2B 6221ded289bc4cf4c39527f35d1ad3ee43f41a60a4a9877056a5ff74fcdd203575d96edbf13af1d32bcc49465d87a2133a8dbec813ae9a5bb233b5fe2e4a36b3 SHA512 f835de65e783d9eb4b26f38be155961a2f4da91639c7e1e39df71cf8be17d27987c8749e44b7b6affe6cdc45c5f65c90be5b2cf22b2f37dcc2eb45452a384ff3
+DIST 0xtools-2.0.2.tar.gz 5989710 BLAKE2B 5e4efd4d21e3ed1fc8b1eed5378d25af3170f2386c738a68d28df5bad44ebdb88fd20a0b554d101b678c15131adb83ae786df1267c8333075c58ea58b8c2ce88 SHA512 5cb627e9b990063867869cdbbdefd7e2b6151410ac19950f683086c9200a8ba1f92192378779dbabc4efd91283cd23243a4b46259d97426331f823941b85883b


             reply	other threads:[~2024-07-17 15:46 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-17 15:46 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-28 15:00 [gentoo-commits] repo/gentoo:master commit in: dev-util/0xtools/ Maciej Barć
2024-09-24 10:23 Maciej Barć
2024-09-24 10:23 Maciej Barć
2024-09-24 10:23 Maciej Barć
2024-09-24 10:23 Maciej Barć
2024-09-03 18:32 Jakov Smolić
2024-08-17 16:06 Arthur Zamarin
2024-08-01 13:07 Maciej Barć
2023-10-24 17:19 Arthur Zamarin
2023-09-15 12:25 Maciej Barć
2023-09-15 12:25 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1721231191.a1053b22affd8dcb41a7e59ef6147c4ab6a28e6d.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox